var canvas ,
    ctx;

var draw = false,
    pos = [];

function init() {
    canvas = document.createElement("canvas");
    canvas.width = 500;
    canvas.height = 500;
    canvas.style.border = "3px solid #555"

    ctx = canvas.getContext("2d");
    document.body.appendChild(canvas);


    setInterval(function() {
        update();
        render();
    }, 1000/60);

 }

 function update() {

 }

 function render() {
      Drawing();
 }

 document.addEventListener("mousedown", OnMouseDown, false);
 document.addEventListener("mousemove", OnMouseMove, false);
 document.addEventListener("mouseup", OnMouseUp, false);

 function OnMouseDown(e) {
    var m = getMouse(e);

    pos.push({
      x: m.x,
      y: m.y
    });

    draw = true;
 }

 function OnMouseMove(e) {
  var m = getMouse(e);

  if(draw) 
    pos.push({
    x: m.x,
    y: m.y
  });
 }

 function OnMouseUp(e) {
   draw = false;
    pos = [];
 }

function getMouse(e) {
   var mx, my;
   mx = (e.cleintX || e.pageX) - canvas.offsetLeft;
   my = (e.clientY || e.pageY) - canvas.offsetTop;
   return {x: mx,y: my};
}

function Drawing() {
    ctx.lineCap = "round";
    ctx.lineWidth = 7;
    ctx.lineJoin = "round";

    for(var i = 1; i < pos.length; i++) {
       ctx.beginPath();
       ctx.moveTo(pos[i-1].x, pos[i-1].y);
       ctx.lineTo(pos[i].x, pos[i].y);
       ctx.closePath();
       ctx.stroke();
    }


}

init();